---
layout: usecase

title: Verified Educational Credentials with Recruit Technologies
description: Recruit Technologies is building a platform to verify HR credentials.

header: hero-recruit.jpg
image: hero-recruit.jpg

quote:
    copy: "We could have implemented the decentralized technology ourselves with the help of the open source community, but the support and expertise provided by BigchainDB changed the whole process and made it more efficient."
    name: Takeshi Nanato
    org: Senior Architect, Recruit Technologies
    image: takeshi-nanato.jpg

company: Recruit Technologies
slug: recruit-technologies
industry: Identity
pdf: recruit.pdf

about:
    user: "Takeshi Nanato is a Senior Architect at Recruit Technologies Co. Ltd. Residing in Berlin, he focuses on building technical collaborations between Recruit and internet startups and managing and fostering the international entrepreneurship program for young Japanese engineers and developers. He also works in R&D for blockchain technologies and how to adopt the technology mainly to existing B2C services."
    company: "Founded in 1960, Recruit Holdings Co. is a leading information services and human resources company in Japan. Through a wide range of services, the Recruit Group provides services in a variety of areas, including recruitment advertising, employment placement, staffing, education, housing and real estate, bridal, travel, dining, beauty, automobiles and others. The Recruit Group has more than 30,000 employees and operates all over the world."
---

## Background

[Recruit Technologies](http://recruit-tech.co.jp) is a Japanese information services and human resources company. Using HR data, Recruit investigated the possibility and practical uses for blockchain in the HR sector. They built a prototype resume authentication database for job seekers and employers.

## Challenges

- Companies can’t easily verify credentials from the flood of applicants
- Job seekers must upload documents and credentials in manual and time-consuming ways
- Document fraud (forged, altered, falsified or misleading documents) is hard to detect and increases the risks for employers

## Solution

- A secure, trusted platform that holds applicant credentials
- A verification process to check HR credentials
- The ability to easily share credentials with employers

## How BigchainDB is Helping

Using blockchain technology provided by BigchainDB, it’s possible to build a database of applicants and their documents so that credentials can be verified and shared seamlessly, increasing trust amongst all parties and reducing the risks for everyone.

BigchainDB underpins the Recruit platform in several ways:

- Provides a globally accessible database to store applicants and their documents
- High capacity and throughput for millions of records and documents
- Interoperability with IPFS, to store large files and media
- Data immutability that brings trust and auditability to the records
- Query technology that enables quick retrieval records and documents
- Reduced security and liability in managing private applicant data

By leveraging BigchainDB’s technology, fraud more easily detectable and manageable on a large scale.
